<mat-card
  [class]="type + 'ProjectsCardWrapper mat-card cardInkbar' + type"
  (click)="onCardClick(project.id, selectedReleaseId)"
>
  <div class="projectsCardIconWrapper">
    <div class="projectsCardIcon">
      <!-- TEMP <energy-platform-icon-generator [project]="project"></energy-platform-icon-generator> -->
    </div>
  </div>

  <div class="projectsCardContentWrapper">
    <div class="projectsCardContent">
      <div class="projectsCardName">
        <span>{{ project.name }}</span>
      </div>
      <div class="projectsCardCreatorInnerWrapper">
        <div class="projectsCardCreatorName">
          {{ project.creator.firstName }} {{ project.creator.lastName }}
        </div>
        <div class="projectsCardCreatorAgency">
          {{ project.creator.organization?.name }}
        </div>
      </div>
      <div class="projectsCardCreatorDate">
        <!-- TEMP <span
          >{{ 'projectOverview.createdAt' | translate }}
          {{
            type === 'public'
              ? dateFormatter.getDateInRightFormat(project.createdAt)
              : dateFormatter.getDateInRightFormat(project.creationDate)
          }}</span
        >-->
      </div>
    </div>
  </div>

  <div class="projectsCardContentWrapper">
    <div class="projectsCardContent">
      <div class="projectsCardProgressWrapper">
        <mat-progress-bar
          class="projectsCardProgress"
          color="primary"
          value="{{ (project | projectProgressValuePipe).progress }}"
        >
        </mat-progress-bar>
        <div class="projectsCardStatus">
          {{ (project | projectProgressValuePipe).status | translate }}
        </div>
      </div>
    </div>
    <div class="cardAlignRight" *ngIf="project.contributors">
      <div class="projectsCardUsercount">
        <span>{{ project.contributors.length }}</span>
        <mat-icon>people</mat-icon>
      </div>
      <div
        class="projectsCardPermission iconPermissionLevel{{
          [project, userId] | projectPermissionPipe
        }}"
      >
        <mat-icon
          *ngIf="([project, userId] | projectPermissionPipe) >= 1"
          title="Permission: {{ permission[1] }}"
          >{{ permissionIconAssoc[1] }}
        </mat-icon>
        <mat-icon
          *ngIf="([project, userId] | projectPermissionPipe) >= 2"
          title="Permission: {{ permission[2] }}"
          >{{ permissionIconAssoc[2] }}
        </mat-icon>
        <mat-icon
          *ngIf="([project, userId] | projectPermissionPipe) >= 3"
          title="Permission: {{ permission[3] }}"
          >{{ permissionIconAssoc[3] }}
        </mat-icon>
      </div>
    </div>
    <div class="projectsCardFooter">
      <div *ngIf="type === 'public'" class="option_wrapper">
        <div class="option_title">
          <p class="alignIconText" style="margin-bottom: 0">
            {{ 'projectOverview.version' | translate }}
          </p>
        </div>
        <div class="option_content_wrapper">
          <mat-form-field
            class="option_select_formfield"
            style="padding-left: 0; border-top: 5px; z-index: 99"
          >
            <mat-select
              disableOptionCentering
              (selectionChange)="updateRelease($event.value)"
              (click)="preventPropagation($event)"
              [value]="this.defaultRelease.id"
            >
              <mat-option
                id="selectReleaseVersion"
                [value]="this.defaultRelease.id"
              >
                {{ this.defaultRelease.version }}</mat-option
              >
              <ng-container *ngFor="let release of this.publicReleases">
                <mat-option
                  id="selectReleaseVersion"
                  *ngIf="release.id !== this.defaultRelease.id"
                  value="{{ release.id }}"
                >
                  {{ release.version }}
                </mat-option>
              </ng-container>
            </mat-select>
          </mat-form-field>
        </div>
      </div>

      <button
        mat-raised-button
        color="secondary"
        (click)="goToParameterPage(project.id)"
        class="iconMatRaisedButton icon-button"
      >
        <mat-icon>tune</mat-icon>
      </button>
      <button
        mat-raised-button
        color="secondary"
        (click)="goTo3DPage(project.id)"
        class="iconMatRaisedButton icon-button"
      >
        <mat-icon>3d_rotation</mat-icon>
      </button>
      <button
        style="margin-right: 0"
        mat-raised-button
        color="secondary"
        (click)="goToResultsPage(project.id)"
        class="iconMatRaisedButton icon-button"
      >
        <mat-icon>bar_chart</mat-icon>
      </button>
    </div>
  </div>
</mat-card>
